fop 1.1

## org.apache.fop.render.pcl
Class PCLImageHandlerGraphics2D

    java.lang.Object
      org.apache.fop.render.pcl.PCLImageHandlerGraphics2D

All Implemented Interfaces:
  ImageHandler, ImageHandlerBase

    public class PCLImageHandlerGraphics2D

extends java.lang.Object
implements ImageHandler

Image handler implementation that paints Graphics2D images in PCL. Since PCL is limited in its vector graphics capabilities, there's a fallback built in that switches to bitmap painting if an advanced feature is encountered.

Constructor Summary
`PCLImageHandlerGraphics2D()`

Method Summary
`int` `getPriority()` Returns the priority for this image handler.
`java.lang.Class` `getSupportedImageClass()` Returns the `Class` subclass supported by this instance.
`org.apache.xmlgraphics.image.loader.ImageFlavor[]` `getSupportedImageFlavors()` Returns the `ImageFlavor`s supported by this instance
`void` `handleImage(RenderingContext context, org.apache.xmlgraphics.image.loader.Image image, java.awt.Rectangle pos)` Handles the given `Image` instance painting it at the indicated position in the output format being generated.
`boolean` `isCompatible(RenderingContext targetContext, org.apache.xmlgraphics.image.loader.Image image)` Indicates whether the image handler is compatible with the indicated target represented by the rendering context object and with the image to be processed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PCLImageHandlerGraphics2D

    public PCLImageHandlerGraphics2D()

Method Detail

### getPriority

    public int getPriority()

  Returns the priority for this image handler. A lower value means higher priority. This information is used to build the ordered/prioritized list of supported ImageFlavors. The built-in handlers use priorities between 100 and 999.

  Specified by:
    `getPriority` in interface `ImageHandlerBase`
  Returns:
    a positive integer (>0) indicating the priority

### getSupportedImageClass

    public java.lang.Class getSupportedImageClass()

  Returns the `Class` subclass supported by this instance.

  Specified by:
    `getSupportedImageClass` in interface `ImageHandlerBase`
  Returns:
    the image Class type

### getSupportedImageFlavors

    public org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedImageFlavors()

  Returns the `ImageFlavor`s supported by this instance

  Specified by:
    `getSupportedImageFlavors` in interface `ImageHandlerBase`
  Returns:
    the supported image flavors

### handleImage

    public void handleImage(RenderingContext context,
                            org.apache.xmlgraphics.image.loader.Image image,
                            java.awt.Rectangle pos)
                     throws java.io.IOException

  Handles the given `Image` instance painting it at the indicated position in the output format being generated.

  Specified by:
    `handleImage` in interface `ImageHandler`
  Parameters:
    `context` - the rendering context
    `image` - the image to be handled
    `pos` - the position and scaling of the image relative to the origin point of the current viewport (in millipoints)
  Throws:
    `java.io.IOException` - if an I/O error occurs

### isCompatible

    public boolean isCompatible(RenderingContext targetContext,
                                org.apache.xmlgraphics.image.loader.Image image)

  Indicates whether the image handler is compatible with the indicated target represented by the rendering context object and with the image to be processed. The image is also passed as a parameter because a handler might not support every subtype of image that is presented. For example: in the case of `ImageXMLDOM`, the image might carry an SVG or some other XML format. One handler might only handle SVG but no other XML format.

  Specified by:
    `isCompatible` in interface `ImageHandler`
  Parameters:
    `targetContext` - the target rendering context
    `image` - the image to be processed (or null if only to check based on the rendering context)
  Returns:
    true if this handler is compatible with the target rendering context

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.